Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class CRLAnnouncement

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.CRLAnnouncement`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLAnnouncement
extends PKIMessageBody

PKI message body of type CRL Announcement.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`CRLAnnouncement()` Create a new `CRLAnnouncement`.
`CRLAnnouncement(oracle.security.crypto.cert.CRL crl)` Create a new `CRLAnnouncement` message body with the specified `CRL`.
`CRLAnnouncement(java.io.InputStream is)`

Method Summary
`void` | `addCRL(oracle.security.crypto.cert.CRL crl)` Add a `CRL` to this `CRLAnnouncement`.
`java.util.Vector` | `getCRLs()` Return the CRLs in this `CRLAnnouncement`.
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.
`void` | `input(java.io.InputStream is)` Initializes this object by reading its encoding from the given input stream.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLAnnouncement

    public CRLAnnouncement()

  Create a new `CRLAnnouncement`. Use the `addCRL` method to add CRLs.

### CRLAnnouncement

    public CRLAnnouncement(oracle.security.crypto.cert.CRL crl)

  Create a new `CRLAnnouncement` message body with the specified `CRL`.

### CRLAnnouncement

    public CRLAnnouncement(java.io.InputStream is)
                    throws java.io.IOException

Method Detail

### addCRL

    public void addCRL(oracle.security.crypto.cert.CRL crl)

  Add a `CRL` to this `CRLAnnouncement`.

### getCRLs

    public java.util.Vector getCRLs()

  Return the CRLs in this `CRLAnnouncement`.

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initializes this object by reading its encoding from the given input stream.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.